DeflateCompressor (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.io.compress
Class DeflateCompressor

    java.lang.Object
      org.apache.cassandra.io.compress.DeflateCompressor

All Implemented Interfaces:
  ICompressor

    public class DeflateCompressor

extends java.lang.Object
implements ICompressor

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.cassandra.io.compress.ICompressor
`ICompressor.WrappedArray`

Field Summary
`static DeflateCompressor` | `instance`

Method Summary
`int` | `compress(byte[] input, int inputOffset, int inputLength, ICompressor.WrappedArray output, int outputOffset)`
`static DeflateCompressor` | `create(java.util.Map<java.lang.String,java.lang.String> compressionOptions)`
`int` | `initialCompressedBufferLength(int chunkLength)`
`int` | `uncompress(byte[] input, int inputOffset, int inputLength, byte[] output, int outputOffset)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### instance

    public static final DeflateCompressor instance

Method Detail

### create

    public static DeflateCompressor create(java.util.Map<java.lang.String,java.lang.String> compressionOptions)

### initialCompressedBufferLength

    public int initialCompressedBufferLength(int chunkLength)

  Specified by:
    `initialCompressedBufferLength` in interface `ICompressor`

### compress

    public int compress(byte[] input,
                        int inputOffset,
                        int inputLength,
                        ICompressor.WrappedArray output,
                        int outputOffset)
                 throws java.io.IOException

  Specified by:
    `compress` in interface `ICompressor`
  Throws:
    `java.io.IOException`

### uncompress

    public int uncompress(byte[] input,
                          int inputOffset,
                          int inputLength,
                          byte[] output,
                          int outputOffset)
                   throws java.io.IOException

  Specified by:
    `uncompress` in interface `ICompressor`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation